## swh-lv2 1.0.15+20111107.gitec6b85e

=== Makefile ===
PREFIX = /usr/local
INSTALL_DIR = $(PREFIX)/lib/lv2

VERSION = 1.0.15

PLUGINS = alias-swh.lv2 allpass-swh.lv2 am_pitchshift-swh.lv2 amp-swh.lv2 \
analogue_osc-swh.lv2 bandpass_a_iir-swh.lv2 bandpass_iir-swh.lv2 \
bode_shifter-swh.lv2 bode_shifter_cv-swh.lv2 butterworth-swh.lv2 \
chebstortion-swh.lv2 comb-swh.lv2 comb_splitter-swh.lv2 const-swh.lv2 \
crossover_dist-swh.lv2 dc_remove-swh.lv2 decay-swh.lv2 decimator-swh.lv2 \
declip-swh.lv2 delay-swh.lv2 delayorama-swh.lv2 diode-swh.lv2 divider-swh.lv2 \
dj_eq-swh.lv2 dj_flanger-swh.lv2 dyson_compress-swh.lv2 fad_delay-swh.lv2 \
fast_lookahead_limiter-swh.lv2 flanger-swh.lv2 fm_osc-swh.lv2 \
foldover-swh.lv2 foverdrive-swh.lv2 freq_tracker-swh.lv2 gate-swh.lv2 \
giant_flange-swh.lv2 gong-swh.lv2 gong_beater-swh.lv2 gverb-swh.lv2 \
hard_limiter-swh.lv2 harmonic_gen-swh.lv2 hermes_filter-swh.lv2 \
highpass_iir-swh.lv2 hilbert-swh.lv2 impulse-swh.lv2 inv-swh.lv2 \
karaoke-swh.lv2 latency-swh.lv2 lcr_delay-swh.lv2 lookahead_limiter-swh.lv2 \
lookahead_limiter_const-swh.lv2 lowpass_iir-swh.lv2 ls_filter-swh.lv2 \
matrix_ms_st-swh.lv2 matrix_spatialiser-swh.lv2 matrix_st_ms-swh.lv2 \
mod_delay-swh.lv2 multivoice_chorus-swh.lv2 \
phasers-swh.lv2 plate-swh.lv2 pointer_cast-swh.lv2 \
rate_shifter-swh.lv2 retro_flange-swh.lv2 revdelay-swh.lv2 ringmod-swh.lv2 \
satan_maximiser-swh.lv2 sc1-swh.lv2 sc2-swh.lv2 sc3-swh.lv2 sc4-swh.lv2 \
se4-swh.lv2 shaper-swh.lv2 sifter-swh.lv2 simple_comb-swh.lv2 sin_cos-swh.lv2 \
single_para-swh.lv2 sinus_wavewrapper-swh.lv2 smooth_decimate-swh.lv2 \
split-swh.lv2 surround_encoder-swh.lv2 svf-swh.lv2 \
tape_delay-swh.lv2 transient-swh.lv2 triple_para-swh.lv2 valve-swh.lv2 \
valve_rect-swh.lv2 vynil-swh.lv2 wave_terrain-swh.lv2 xfade-swh.lv2 \
zm1-swh.lv2

FFT_PLUGINS = mbeq-swh.lv2 pitch_scale-swh.lv2


DARWIN := $(shell uname | grep Darwin)
OS := $(shell uname -s)

ifdef DARWIN
EXT = so
CC = gcc
PLUGIN_CFLAGS = -Wall -I. -Iinclude -I/usr/local/include -O3 -fomit-frame-pointer -fstrength-reduce -funroll-loops -fPIC -DPIC -DFFTW3 -arch i386 -ffast-math -msse -fno-common -flat_namespace -bundle -isysroot /Developer/SDKs/MacOSX10.4u.sdk $(CFLAGS)
PLUGIN_LDFLAGS = -arch i386 -dynamic -Wl,-syslibroot,/Developer/SDKs/MacOSX10.5u.sdk -bundle -multiply_defined suppress -lc $(LDFLAGS)
BUILD_PLUGINS = $(PLUGINS) $(FFT_PLUGINS)
RT =
else
EXT = so
PLUGIN_CFLAGS = -Wall -I. -Iinclude -O3 -fomit-frame-pointer -fstrength-reduce -funroll-loops -fPIC -DPIC -DFFTW3 $(CFLAGS)
PLUGIN_LDFLAGS = -shared -lm $(LDFLAGS)
BUILD_PLUGINS = $(PLUGINS) $(FFT_PLUGINS)
RT = -lrt
endif

# Load plugin specific flags:
include extra.mk

OBJECTS = $(shell echo $(BUILD_PLUGINS) | sed 's/\([^ ]*\.lv2\)/plugins\/\1\/plugin.$(EXT)/g')

all: util gverb $(OBJECTS)

gverb: gverb/gverb.c gverb/gverbdsp.c gverb/gverb.o gverb/gverbdsp.o
	(cd gverb && make -w CFLAGS="$(PLUGIN_CFLAGS)" LDFLAGS="$(PLUGIN_LDFLAGS)")

util: util/blo.o util/iir.o util/db.o util/rms.o util/pitchscale.o

%.c: OBJ = $(shell echo $@ | sed 's/\.c$$/-@OS@.$(EXT)/')
%.c: %.xml xslt/source.xsl xslt/manifest.xsl
	xsltproc -novalid xslt/source.xsl $*.xml | sed 's/LADSPA_Data/float/g' > $@
	xsltproc -novalid -stringparam obj `basename $(OBJ)` xslt/manifest.xsl $*.xml > `dirname $@`/manifest.ttl.in

%.ttl: %.xml xslt/turtle.xsl
	xsltproc -novalid xslt/turtle.xsl $*.xml | sed 's/\\/\\\\/g' > $@

%.o: NAME = $(shell echo -n $@ | sed 's/plugins\/\(.*\)-swh.*/\1/')
%.o: %.c
	$(CC) $(PLUGIN_CFLAGS) $($(NAME)_CFLAGS) $*.c -c -o $@

%.so: NAME = $(shell echo $@ | sed 's/plugins\/\(.*\)-swh.*/\1/')
%.so: %.xml %.o %.ttl
	$(CC) $*.o $(PLUGIN_LDFLAGS) $($(NAME)_LDFLAGS) -o $@
	cp $@ $*-$(OS).$(EXT)
	sed 's/@OS@/$(OS)/g' < `dirname $@`/manifest.ttl.in > `dirname $@`/manifest.ttl

clean: dist-clean

dist-clean:
	rm -f plugins/*/*.{$(EXT),o} plugins/*/*.o plugins/*/manifest.ttl util/*.o gverb/*.o

real-clean:
	rm -f plugins/*/*.{c,ttl,$(EXT),o,in} util/*.o gverb/*.o

install:
	@echo 'use install-user to install in home or install-system to install system wide'

install-system: INSTALL_DIR_REALLY=$(INSTALL_DIR)
install-system: all install-really

install-user: INSTALL_DIR_REALLY=~/.lv2/bundles
install-user: all install-really

install-really:
	for plugin in $(BUILD_PLUGINS); do \
		echo Installing $$plugin; \
		install -pd $(INSTALL_DIR_REALLY)/$$plugin; \
		install -pm 755 plugins/$$plugin/*-$(OS).$(EXT) $(INSTALL_DIR_REALLY)/$$plugin/ ; \
		install -pm 644 plugins/$$plugin/*.ttl $(INSTALL_DIR_REALLY)/$$plugin/ ; \
	done

dist: real-clean all dist-clean
	cd .. && \
	cp -pr lv2 swh-lv2-$(VERSION) && \
	tar cfz swh-lv2-$(VERSION).tar.gz swh-lv2-$(VERSION)/{Makefile,README,*.mk,plugins/*/*,util/*,gverb/*,xslt/*,include/*} && \
	rm -rf swh-lv2-$(VERSION)
	mv ../swh-lv2-$(VERSION).tar.gz .

.PRECIOUS: %.c %.ttl

## swh-lv2 1.0.15+20091215.git2358739

=== debian/changelog ===
swh-lv2 (1.0.15+20091215.git2358739-1) unstable; urgency=low

  * Initial release (Closes: #523518).

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 Sep 2010 12:04:06 +0200

=== debian/control ===
Source: swh-lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~),
 lv2core,
 libfftw3-dev,
 libgsm1-dev,
 xsltproc
Homepage: http://github.com/swh/lv2
Vcs-Git: git://git.debian.org/pkg-multimedia/swh-lv2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/swh-lv2.git

Package: swh-lv2
Provides: lv2-plugin
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Steve Harris's SWH plugins ported to LV2
 This package provides Steve Harris's SWH plugins ported to the
 LV2 specification.
 .
 There is a large number of effects, such as filters, harmonic
 generators, pitch shifters and much more, for LV2 compatible
 hosts (Qtractor, Ardour, lv2rack). Here is a list of provided
 effects:
 .
 inv, flanger, diode, comb, notch_iir, sc2, debug, amp, zm1,
 matrix_spatialiser, bandpass_iir, lookahead_limiter_const,
 fast_lookahead_limiter, am_pitchshift, revdelay, valve_rect,
 delayorama, harmonic_gen, sifter, decimator, foverdrive,
 matrix_st_ms, step_muxer, tape_delay, pointer_cast, xfade,
 dj_flanger, single_para, dc_remove, satan_maximiser, phasers,
 foldover, matrix_ms_st, freq_tracker, bode_shifter, alias,
 dyson_compress, dj_eq, comb_splitter, hermes_filter, valve,
 bode_shifter_cv, multivoice_chorus, plate, latency, fad_delay,
 split, allpass, const, hilbert, fm_osc, sin_cos, crossover_dist,
 triple_para, hard_limiter, imp, chebstortion, vynil, svf,
 rate_shifter, surround_encoder, se4, sc1, lookahead_limiter,
 divider, impulse, lowpass_iir, karaoke, sc4, shaper, butterworth,
 gong_beater, gsm, sinus_wavewrapper, declip, gverb, transient,
 pitch_scale, ls_filter, ringmod, sc3, gate, delay, giant_flange,
 lcr_delay, mod_delay, smooth_decimate, wave_terrain, highpass_iir,
 analogue_osc, retro_flange, mbeq, simple_comb, gong, decay,
 bandpass_a_iir

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	rm -rf get-orig-source
	dh_auto_clean

## swh-lv2 1.0.15+20110312.git9c9935e

=== debian/changelog ===
swh-lv2 (1.0.15+20110312.git9c9935e-2) unstable; urgency=low

  * Fix FTBFS on non-Linux archs.

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 May 2011 13:36:37 +0200

swh-lv2 (1.0.15+20110312.git9c9935e-1) unstable; urgency=low

  * Imported Upstream version 1.0.15+20110312.git9c9935e:
    - Added patch from Dave Robillard which add dc:replaces triples
      mapping from LV@ to LADSPA plugins.
  * debian/get-git-source.sh:
    - Use tar's --exclude-vcs option to strip out the .git directory.
    - Append --no-color to git log.
  * debian/gbp.conf: Set compression = bzip2.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 May 2011 11:47:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.0.50~),
  lv2core,
  libfftw3-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 
 %:
 	dh $@

=== debian/watch ===
version=3
http://plugin.org.uk/lv2/swh-lv2(.*)\.tar\.gz

## swh-lv2 1.0.15+20111107.gitec6b85e

=== debian/changelog ===
swh-lv2 (1.0.15+20111107.gitec6b85e-1) unstable; urgency=low

  * New upstream snapshot.
  * Set PREFIX in debian/rules to override the default value set
    in the Makefile.
  * Replace lv2core with lv2-dev in Build-Depends.
  * Refresh patches.
  * Fix watch file.
  * Update debian/copyright to the machine-readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 22:06:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,26 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~),
- lv2core,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Standards-Version: 3.9.3
+Build-Depends:
+ debhelper (>= 7.0.50~),
  libfftw3-dev,
  libgsm1-dev,
+ lv2-dev,
  xsltproc
 Homepage: http://github.com/swh/lv2
 Vcs-Git: git://git.debian.org/pkg-multimedia/swh-lv2.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/swh-lv2.git
 
 Package: swh-lv2
-Provides: lv2-plugin
+Provides:
+ lv2-plugin
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Steve Harris's SWH plugins ported to LV2
  This package provides Steve Harris's SWH plugins ported to the
  LV2 specification.

## swh-lv2 1.0.15+20130517.git978d5d8

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,8 @@
 split-swh.lv2 surround_encoder-swh.lv2 svf-swh.lv2 \
 tape_delay-swh.lv2 transient-swh.lv2 triple_para-swh.lv2 valve-swh.lv2 \
 valve_rect-swh.lv2 vynil-swh.lv2 wave_terrain-swh.lv2 xfade-swh.lv2 \
-zm1-swh.lv2
+zm1-swh.lv2 \
+a_law-swh.lv2 u_law-swh.lv2
 
 FFT_PLUGINS = mbeq-swh.lv2 pitch_scale-swh.lv2
 
@@ -36,10 +37,10 @@
 OS := $(shell uname -s)
 
 ifdef DARWIN
-EXT = so
-CC = gcc
-PLUGIN_CFLAGS = -Wall -I. -Iinclude -I/usr/local/include -O3 -fomit-frame-pointer -fstrength-reduce -funroll-loops -fPIC -DPIC -DFFTW3 -arch i386 -ffast-math -msse -fno-common -flat_namespace -bundle -isysroot /Developer/SDKs/MacOSX10.4u.sdk $(CFLAGS)
-PLUGIN_LDFLAGS = -arch i386 -dynamic -Wl,-syslibroot,/Developer/SDKs/MacOSX10.5u.sdk -bundle -multiply_defined suppress -lc $(LDFLAGS)
+EXT = dylib
+CC = clang
+PLUGIN_CFLAGS = -Wall -Wno-unused-variable -Wno-self-assign -I. -Iinclude -O3 -fomit-frame-pointer -funroll-loops -DFFTW3 -arch x86_64 -ffast-math -msse -fno-common $(CFLAGS)
+PLUGIN_LDFLAGS = -arch x86_64 -dynamiclib $(LDFLAGS)
 BUILD_PLUGINS = $(PLUGINS) $(FFT_PLUGINS)
 RT =
 else
@@ -74,8 +75,8 @@
 %.o: %.c
 	$(CC) $(PLUGIN_CFLAGS) $($(NAME)_CFLAGS) $*.c -c -o $@
 
-%.so: NAME = $(shell echo $@ | sed 's/plugins\/\(.*\)-swh.*/\1/')
-%.so: %.xml %.o %.ttl
+%.$(EXT): NAME = $(shell echo $@ | sed 's/plugins\/\(.*\)-swh.*/\1/')
+%.$(EXT): %.xml %.o %.ttl
 	$(CC) $*.o $(PLUGIN_LDFLAGS) $($(NAME)_LDFLAGS) -o $@
 	cp $@ $*-$(OS).$(EXT)
 	sed 's/@OS@/$(OS)/g' < `dirname $@`/manifest.ttl.in > `dirname $@`/manifest.ttl

=== gverb/Makefile ===
HEADERS = gverb.h gverbdsp.h

OBJECTS = gverb.o gverbdsp.o

all: $(OBJECTS)

libgverb.a: $(HEADERS) $(OBJECTS)
	ar rvu $@ $(OBJECTS)
	ranlib $@

=== debian/changelog ===
swh-lv2 (1.0.15+20130517.git978d5d8-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream snapshot:
    - Add two new plugins.
  * Refresh patches.
  * Enable hardening:
    - Bump DH compat to 9.
    - Add patch to let buildsystem accept CPPFLAGS.
  * Various little improvements and updates to debian/copyright.
  * Fix VCS URLs as per canonical form.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Oct 2013 09:32:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.3
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  libfftw3-dev,
  libgsm1-dev,
  lv2-dev,
  xsltproc
 Homepage: http://github.com/swh/lv2
-Vcs-Git: git://git.debian.org/pkg-multimedia/swh-lv2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/swh-lv2.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/swh-lv2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/swh-lv2.git
 
 Package: swh-lv2
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+export PREFIX=/usr
 
 %:
 	dh $@

## swh-lv2 1.0.15+git20151104~repack0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 split-swh.lv2 surround_encoder-swh.lv2 svf-swh.lv2 \
 tape_delay-swh.lv2 transient-swh.lv2 triple_para-swh.lv2 valve-swh.lv2 \
 valve_rect-swh.lv2 vynil-swh.lv2 wave_terrain-swh.lv2 xfade-swh.lv2 \
-zm1-swh.lv2 \
+zm1-swh.lv2 offset-swh.lv2 \
 a_law-swh.lv2 u_law-swh.lv2
 
 FFT_PLUGINS = mbeq-swh.lv2 pitch_scale-swh.lv2

=== debian/changelog ===
swh-lv2 (1.0.15+git20151104~repack0-1) unstable; urgency=medium

  * Bump Standards.
  * Set compression xz.
  * Drop old repacking script.
  * Introduce get-orig-source.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 04 Nov 2015 06:16:22 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  lv2-dev,
  xsltproc
 Homepage: http://github.com/swh/lv2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/swh-lv2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/swh-lv2.git

=== debian/rules ===
#!/usr/bin/make -f

export OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
export PREFIX=/usr

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
git_date= $(shell date +%Y%m%d)
dfsg_version = $(upstream_version)+git$(git_date)~repack0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

%:
	dh $@

override_dh_auto_clean:
	rm -rf get-orig-source
	dh_auto_clean

# get-orig-source to drop upstream .gitignore file
get-orig-source:
	git  clone  git://github.com/swh/lv2 swh-lv2
	rm -fR $(pkg)/.git
	rm -fR $(pkg)/.gitignore
	rm -fR $(pkg)/util/gsm
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)
	xz -zf $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)
	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz

=== debian/watch ===
version=3
http://plugin.org.uk/lv2/swh-lv2-(.*)\.tar\.gz

## swh-lv2 1.0.16+git20160519~repack0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PREFIX = /usr/local
 INSTALL_DIR = $(PREFIX)/lib/lv2
 
-VERSION = 1.0.15
+VERSION = 1.0.16
 
 PLUGINS = alias-swh.lv2 allpass-swh.lv2 am_pitchshift-swh.lv2 amp-swh.lv2 \
 analogue_osc-swh.lv2 bandpass_a_iir-swh.lv2 bandpass_iir-swh.lv2 \
@@ -61,6 +61,9 @@
 gverb: gverb/gverb.c gverb/gverbdsp.c gverb/gverb.o gverb/gverbdsp.o
 	(cd gverb && make -w CFLAGS="$(PLUGIN_CFLAGS)" LDFLAGS="$(PLUGIN_LDFLAGS)")
 
+util/pitchscale.o:
+	$(CC) $(PLUGIN_CFLAGS) $(fftw3_CFLAGS) $*.c -c -o $@
+
 util: util/blo.o util/iir.o util/db.o util/rms.o util/pitchscale.o
 
 %.c: OBJ = $(shell echo $@ | sed 's/\.c$$/-@OS@.$(EXT)/')
@@ -71,7 +74,7 @@
 %.ttl: %.xml xslt/turtle.xsl
 	xsltproc -novalid xslt/turtle.xsl $*.xml | sed 's/\\/\\\\/g' > $@
 
-%.o: NAME = $(shell echo -n $@ | sed 's/plugins\/\(.*\)-swh.*/\1/')
+%.o: NAME = $(shell echo $@ | sed 's/plugins\/\(.*\)-swh.*/\1/')
 %.o: %.c
 	$(CC) $(PLUGIN_CFLAGS) $($(NAME)_CFLAGS) $*.c -c -o $@
 
@@ -95,7 +98,7 @@
 install-system: INSTALL_DIR_REALLY=$(INSTALL_DIR)
 install-system: all install-really
 
-install-user: INSTALL_DIR_REALLY=~/.lv2/bundles
+install-user: INSTALL_DIR_REALLY=~/.lv2
 install-user: all install-really
 
 install-really:

=== debian/changelog ===
swh-lv2 (1.0.16+git20160519~repack0-3) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Dec 2016 21:43:06 +0100

swh-lv2 (1.0.16+git20160519~repack0-2) unstable; urgency=medium

  * Fix bindnow hardening.
  * Update README.source file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Jun 2016 08:18:21 +0200

swh-lv2 (1.0.16+git20160519~repack0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.16+git20160519~repack0 (Closes: #824719)
  * Refresh patches.
  * Bump Standards.
  * Fix VCS fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 19 May 2016 13:21:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 10),
  libfftw3-dev,
  libgsm1-dev,
  lv2-dev,
  xsltproc
 Homepage: http://github.com/swh/lv2
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/swh-lv2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/swh-lv2.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/swh-lv2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/swh-lv2.git
 
 Package: swh-lv2
 Provides:

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 git_date= $(shell date +%Y%m%d)
 dfsg_version = $(upstream_version)+git$(git_date)~repack0
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 %:
 	dh $@

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/swh-lv2-$1\.tar\.gz/ \
  https://github.com/swh/lv2/tags .*/v?(\d\S*)\.tar\.gz
